summaryrefslogtreecommitdiffstats
path: root/libraries/fltk
diff options
context:
space:
mode:
author LukenShiro2010-05-11 20:00:46 +0200
committer Robby Workman2010-05-11 20:00:46 +0200
commit5630dd6ecc29108f475d31176add0f53ec14c986 (patch)
tree0746a7749f58fe04a496951abc4019b32201e985 /libraries/fltk
parentf4426ba513bebe56650fef9f313a044a7079eee8 (diff)
downloadslackbuilds-5630dd6ecc29108f475d31176add0f53ec14c986.tar.gz
libraries/fltk: Added to 12.0 repository
Diffstat (limited to 'libraries/fltk')
-rw-r--r--libraries/fltk/README13
-rw-r--r--libraries/fltk/fltk.SlackBuild98
-rw-r--r--libraries/fltk/fltk.info8
-rw-r--r--libraries/fltk/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/libraries/fltk/README b/libraries/fltk/README
new file mode 100644
index 0000000000..da8079462e
--- /dev/null
+++ b/libraries/fltk/README
@@ -0,0 +1,13 @@
+The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a
+a cross-platform C++ GUI toolkit for UNIX(r)/Linux(r) (X11),
+Microsoft(r) Windows(r), and MacOS(r) X. FLTK provides
+modern GUI functionality without the bloat and supports 3D
+graphics via OpenGL(r) and its built-in GLUT emulation. It
+was originally developed by Mr. Bill Spitzak and is
+currently maintained by a small group of developers across
+the world with a central repository in the US.
+
+It is compiled with --enable-shared, --enable-threads,
+ --enable-xdbe, --enable-xft, --enable-gl and
+ --enable-xinerama.
+
diff --git a/libraries/fltk/fltk.SlackBuild b/libraries/fltk/fltk.SlackBuild
new file mode 100644
index 0000000000..1eee41bde2
--- /dev/null
+++ b/libraries/fltk/fltk.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for fltk
+
+# Copyright 2006 LukenShiro <lukenshiro@ngi.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Exit on most errors
+set -e
+
+PRGNAM=fltk
+VERSION=1.1.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCFILES="ANNOUNCEMENT CHANGES COPYING CREDITS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjf $CWD/$PRGNAM-$VERSION-source.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-gl \
+ --enable-shared \
+ --enable-threads \
+ --enable-xinerama \
+ --enable-xft \
+ --enable-xdbe
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Remove catman directories :)
+rm -rf $PKG/usr/man/cat{1,3}
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/{examples,html}
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/*.{html,gif,jpg} \
+ $PKG/usr/doc/$PRGNAM-$VERSION/html/
+mv $PKG/usr/share/doc/$PRGNAM/examples/*.{h,cxx,xbm,xpm,menu,fl} \
+ $PKG/usr/doc/$PRGNAM-$VERSION/examples/
+rm -rf $PKG/usr/share
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/fltk/fltk.info b/libraries/fltk/fltk.info
new file mode 100644
index 0000000000..67e8f6d612
--- /dev/null
+++ b/libraries/fltk/fltk.info
@@ -0,0 +1,8 @@
+PRGNAM="fltk"
+VERSION="1.1.7"
+HOMEPAGE="http://www.fltk.org"
+DOWNLOAD="ftp://ftp.rz.tu-bs.de/pub/mirror/ftp.easysw.com/ftp/pub/fltk/1.1.7/fltk-1.1.7-source.tar.bz2"
+MD5SUM="2e29319119adc9d63b2f26b72cae0a88"
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="rworkman"
diff --git a/libraries/fltk/slack-desc b/libraries/fltk/slack-desc
new file mode 100644
index 0000000000..e723946eb2
--- /dev/null
+++ b/libraries/fltk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fltk: FLTK (Fast Light Tool Kit)
+fltk:
+fltk: The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a
+fltk: a cross-platform C++ GUI toolkit for UNIX(r)/Linux(r) (X11),
+fltk: Microsoft(r) Windows(r), and MacOS(r) X. FLTK provides
+fltk: modern GUI functionality without the bloat and supports 3D
+fltk: graphics via OpenGL(r) and its built-in GLUT emulation. It
+fltk: was originally developed by Mr. Bill Spitzak and is
+fltk: currently maintained by a small group of developers across
+fltk: the world with a central repository in the US.
+fltk: